GET api/pcapi/pc/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_id": "936dc280-671b-42de-9e6c-dbe893a01977",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "6d3a8577-5aeb-4fa6-8524-438fa8bc3457",
"local_ip": "sample string 7",
"lock_id": "acea9d22-8642-4f09-b24a-50c855a2511d",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "5ed1d242-6b78-40b5-967f-af5940296071",
"rights": [
{
"code": "sample string 1",
"id": "baeae11e-b965-4ec4-86c4-af0c1f84b791"
},
{
"code": "sample string 1",
"id": "baeae11e-b965-4ec4-86c4-af0c1f84b791"
}
],
"site_id": "d21f01f6-1726-47c8-bc36-6a4b10f38f90",
"zone_id": "35118e83-0ffe-44c9-966e-ca753e6521f7"
}
application/xml, text/xml
Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<cleanroom_id>936dc280-671b-42de-9e6c-dbe893a01977</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>6d3a8577-5aeb-4fa6-8524-438fa8bc3457</id>
<local_ip>sample string 7</local_ip>
<lock_id>acea9d22-8642-4f09-b24a-50c855a2511d</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>5ed1d242-6b78-40b5-967f-af5940296071</pc_type_id>
<rights>
<right>
<ID>baeae11e-b965-4ec4-86c4-af0c1f84b791</ID>
<code>sample string 1</code>
</right>
<right>
<ID>baeae11e-b965-4ec4-86c4-af0c1f84b791</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>d21f01f6-1726-47c8-bc36-6a4b10f38f90</site_id>
<zone_id>35118e83-0ffe-44c9-966e-ca753e6521f7</zone_id>
</pc>